#ifndef MODUL_I_H_
#define MODUL_I_H_

#include "vhf_modulS.h"
#include "base_utils.h"


#if !defined (ACE_LACKS_PRAGMA_ONCE)
#pragma once
#endif /* ACE_LACKS_PRAGMA_ONCE */


namespace sound {
  namespace vhf {
    class VHF;
  }
}


class  art_vhf_modul_i : public virtual POA_art::vhf::modul, public virtual PortableServer::RefCountServantBase
{
protected:
  ::sound::vhf::VHF &vhf_;

public:
  //Constructor
  art_vhf_modul_i (::sound::vhf::VHF &vhf);

  //Destructor
  virtual ~art_vhf_modul_i (void);

  virtual
  void change_filter (
      ::CORBA::ULong rx,
      ::CORBA::ULong tx
    )
    ACE_THROW_SPEC (
      CORBA::SystemException,
      ::art::RUNTIME
    );

  virtual void start_transmit (
    ::CORBA::ULong tx
  )
  ACE_THROW_SPEC ((
    CORBA::SystemException,
    ::art::RUNTIME
  ));

  virtual
  void stop_transmit (

    )
    ACE_THROW_SPEC ((
      CORBA::SystemException,
      ::art::RUNTIME
    ));

  virtual
  bool check_connection (
  )
  ACE_THROW_SPEC ((
    CORBA::SystemException,
    ::art::RUNTIME
  ));
};


#endif /* MODUL_I_H_  */
